<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" xmlns:ser="http://net.mymicros/service">
	<soapenv:Header xmlns:wsa="http://www.w3.org/2005/08/addressing">
        <wsse:Security soapenv:mustUnderstand="1"
            xmlns:wsse="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd"
            xmlns:wsu="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd">
            <wsse:UsernameToken wsu:Id="UsernameToken-D5B4C1394E66FEE9D015619983318702">
                <wsse:Username>{{ api_user_token }}</wsse:Username>
                <wsse:Password Type="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-username-token-profile-1.0#PasswordText">{{ api_user_password }}</wsse:Password>
            </wsse:UsernameToken>
        </wsse:Security>
        <wsa:Action>{{ api_fq_resource_action }} </wsa:Action>
        <wsa:ReplyTo>
            <wsa:Address>http://www.w3.org/2005/08/addressing/anonymous</wsa:Address>
        </wsa:ReplyTo>
        <wsa:MessageID>urn:uuid:30cb63df-2a07-428d-b501-097db5906b6e</wsa:MessageID>
        <wsa:To>https://sample.simphony.com:443/labor/labor</wsa:To>
    </soapenv:Header>
	<soapenv:Body>
		<ser:createEntHREmployee>
			<employee>
				<externalPayrollID>{{ employee.payroll_id }}</externalPayrollID>
				<homeStoreRef>{{ location_ref }}</homeStoreRef>
				{%- if employee.first_name is not none %}
				<firstName>{{ employee.first_name }}</firstName>s
				{%- endif %}
				<middleName></middleName>
				{%- if employee.last_name is not none %}
				<lastName>{{ employee.last_name }}</lastName>
				{%- endif %}
				{%- if employee.check_name is not none %}
				<checkName>{{ employee.check_name }}</checkName>
				{%- endif %}
				{%- if employee.email is not none %}
				<email>{{ employee.email }}</email>
				{%- endif %}
				{%- if employee.phone is not none %}
				<phoneNumber>{{ employee.phone }}</phoneNumber>
				{%- endif %}
				{%- if employee.birthday is not none %}
				<dateOfBirth>{{ employee.birthday }}</dateOfBirth>
				{%- endif %}
				{%- if employee.start_date is not none %}
				<hireDate>{{ employee.start_date }}</hireDate>
				{%- endif %}
				<hireStatus>0</hireStatus>
				<entHREmployeePOSConfigs>
					{%- if employee.login is not none %}
					<magCardNumber>{{ employee.login }}</magCardNumber>
					{%- endif %}
				</entHREmployeePOSConfigs>
				<entHREmployeeJobRates>
					<regPayRate>0.01</regPayRate>
					<locationRef>{{ location_ref }}</locationRef>
					<enterprisePOSRef>{{ default_job }}</enterprisePOSRef>
                    {%- if employee.start_date is not none %}
					<effectiveFrom>{{ employee.start_date }}</effectiveFrom>
                    {%- endif %}
					<externalPayrollID></externalPayrollID>
				</entHREmployeeJobRates>
			</employee>
		</ser:createEntHREmployee>
	</soapenv:Body>
</soapenv:Envelope>